Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_EVP_PKEY_var Class Reference

"_var" class for the OpenSSL

Parameters:

  EVP_PKEY | structure.

More...

`#include <SSLIOP_EVP_PKEY.h>`

Inheritance diagram for TAO_SSLIOP_EVP_PKEY_var:

[legend]
Collaboration diagram for TAO_SSLIOP_EVP_PKEY_var:

[legend]
List of all members.

## Public Methods
| ~TAO_SSLIOP_EVP_PKEY_var (void)
| Destructor.
TAO_SSLIOP_EVP_PKEY_var & | operator= (EVP_PKEY *)
TAO_SSLIOP_EVP_PKEY_var & | operator= (const TAO_SSLIOP_EVP_PKEY_var &)
const EVP_PKEY * | operator-> (void) const
EVP_PKEY * | operator-> (void)
| operator const EVP_PKEY & () const
| operator EVP_PKEY & ()
EVP_PKEY * | in (void) const
EVP_PKEY *& | inout (void)
EVP_PKEY *& | out (void)
EVP_PKEY * | _retn (void)
EVP_PKEY * | ptr (void) const
Constructors
| TAO_SSLIOP_EVP_PKEY_var (void)
| TAO_SSLIOP_EVP_PKEY_var (EVP_PKEY *x)
| TAO_SSLIOP_EVP_PKEY_var (const TAO_SSLIOP_EVP_PKEY_var &)
## Private Methods
| TAO_SSLIOP_EVP_PKEY_var (const TAO_Base_var &rhs)
TAO_SSLIOP_EVP_PKEY_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
EVP_PKEY * | evp_
| The OpenSSL EVP_PKEY structure that represents a private key.

## Detailed Description

"_var" class for the OpenSSL

Parameters:

  EVP_PKEY | structure.

This class is simply used to make operations on instances of the OpenSSL

Parameters:

  EVP_PKEY | structures exception safe. It is only used internally by the SSLIOP pluggable protocol.

## Constructor & Destructor Documentation

ACE_INLINE TAO_SSLIOP_EVP_PKEY_var::TAO_SSLIOP_EVP_PKEY_var | ( | void |  | ) |

ACE_INLINE TAO_SSLIOP_EVP_PKEY_var::TAO_SSLIOP_EVP_PKEY_var | ( | EVP_PKEY * | x | ) |

TAO_SSLIOP_EVP_PKEY_var::TAO_SSLIOP_EVP_PKEY_var | ( | const TAO_SSLIOP_EVP_PKEY_var & |  | ) |

ACE_INLINE TAO_SSLIOP_EVP_PKEY_var::~TAO_SSLIOP_EVP_PKEY_var | ( | void |  | ) |

| Destructor.

TAO_SSLIOP_EVP_PKEY_var::TAO_SSLIOP_EVP_PKEY_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ACE_INLINE EVP_PKEY * TAO_SSLIOP_EVP_PKEY_var::_retn | ( | void |  | ) |

ACE_INLINE EVP_PKEY * TAO_SSLIOP_EVP_PKEY_var::in | ( | void |  | ) | const

ACE_INLINE EVP_PKEY *& TAO_SSLIOP_EVP_PKEY_var::inout | ( | void |  | ) |

ACE_INLINE TAO_SSLIOP_EVP_PKEY_var::operator const EVP_PKEY & | ( |  | ) |

ACE_INLINE TAO_SSLIOP_EVP_PKEY_var::operator EVP_PKEY & | ( |  | ) |

ACE_INLINE EVP_PKEY * TAO_SSLIOP_EVP_PKEY_var::operator-> | ( | void |  | ) |

ACE_INLINE const EVP_PKEY * TAO_SSLIOP_EVP_PKEY_var::operator-> | ( | void |  | ) | const

TAO_SSLIOP_EVP_PKEY_var& TAO_SSLIOP_EVP_PKEY_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

| Reimplemented from TAO_Base_var.

TAO_SSLIOP_EVP_PKEY_var& TAO_SSLIOP_EVP_PKEY_var::operator= | ( | const TAO_SSLIOP_EVP_PKEY_var & |  | ) |

ACE_INLINE TAO_SSLIOP_EVP_PKEY_var & TAO_SSLIOP_EVP_PKEY_var::operator= | ( | EVP_PKEY * |  | ) |

ACE_INLINE EVP_PKEY *& TAO_SSLIOP_EVP_PKEY_var::out | ( | void |  | ) |

ACE_INLINE EVP_PKEY * TAO_SSLIOP_EVP_PKEY_var::ptr | ( | void |  | ) | const

## Member Data Documentation

EVP_PKEY* TAO_SSLIOP_EVP_PKEY_var::evp_`[private]`

| The OpenSSL EVP_PKEY structure that represents a private key.

The documentation for this class was generated from the following files:

- SSLIOP_EVP_PKEY.h
- SSLIOP_EVP_PKEY.inl